Bug 199553 - update editors/emacs to version 24.5
Summary: update editors/emacs to version 24.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-19 22:55 UTC by Joseph Mingrone
Modified: 2015-04-27 10:34 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments
patch to update editors/emacs to version 24.5 (7.80 KB, patch)
2015-04-19 22:55 UTC, Joseph Mingrone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2015-04-19 22:55:51 UTC
Created attachment 155755 [details]
patch to update editors/emacs to version 24.5
Comment 1 Ashish SHUKLA freebsd_committer 2015-04-20 00:21:21 UTC
Thanks for the diff. I already have a diff (under building) which didn't have CANNA support disabled, will commit it most likely today.

Ashish
Comment 2 commit-hook freebsd_committer 2015-04-27 10:28:47 UTC
A commit references this bug:

Author: ashish
Date: Mon Apr 27 10:28:02 UTC 2015
New revision: 384818
URL: https://svnweb.freebsd.org/changeset/ports/384818

Log:
  GNU Emacs Updates

  editors/emacs:
   - Update to 24.5
   - Remove dependency on GCC for i386 platform, if the bug is fixed
     in the version in use
   - Remove upstreamed diff

  editors/emacs-devel:
   - Update to git snapshot def0df01
   - Remove git revision from PORTVERSION, rather encode it in
     DISTNAME
   - Remove dependency on GCC for i386 platform, if the bug is fixed
     in the version in use
   - Fix portlint warnings

  Mk/bsd.emacs.mk:
   - Update version number for editors/emacs
   - Remove deprecated block for emacs23

  PR:		199553

Changes:
  head/Mk/bsd.emacs.mk
  head/editors/emacs/Makefile
  head/editors/emacs/distinfo
  head/editors/emacs/files/patch-c117653.diff
  head/editors/emacs/pkg-plist
  head/editors/emacs-devel/Makefile
  head/editors/emacs-devel/distinfo
  head/editors/emacs-devel/pkg-plist
Comment 3 commit-hook freebsd_committer 2015-04-27 10:30:49 UTC
A commit references this bug:

Author: ashish
Date: Mon Apr 27 10:29:48 UTC 2015
New revision: 384819
URL: https://svnweb.freebsd.org/changeset/ports/384819

Log:
  - Chase GNU Emacs updates

  PR:		199553

Changes:
  head/audio/emms/Makefile
  head/cad/dinotrace/Makefile
  head/cad/verilog-mode.el/Makefile
  head/databases/bbdb/Makefile
  head/deskutils/etask/Makefile
  head/deskutils/howm/Makefile
  head/devel/cask/Makefile
  head/devel/clojure-cider/Makefile
  head/devel/dash.el/Makefile
  head/devel/distel/Makefile
  head/devel/epl.el/Makefile
  head/devel/git-modes/Makefile
  head/devel/magit/Makefile
  head/devel/p5-Sepia/Makefile
  head/devel/pkg-info.el/Makefile
  head/devel/psvn/Makefile
  head/devel/pymacs/Makefile
  head/devel/xtla/Makefile
  head/editors/apel/Makefile
  head/editors/flim/Makefile
  head/editors/paredit-mode.el/Makefile
  head/editors/psgml/Makefile
  head/editors/semi/Makefile
  head/editors/slime/Makefile
  head/editors/tamago/Makefile
  head/editors/tree-widget/Makefile
  head/editors/yasnippet/Makefile
  head/graphics/xface.el/Makefile
  head/irc/riece/Makefile
  head/japanese/ddskk/Makefile
  head/japanese/egg-canna/Makefile
  head/japanese/lookup/Makefile
  head/japanese/migemo.el/Makefile
  head/japanese/navi2ch/Makefile
  head/japanese/yc.el/Makefile
  head/lang/bigloo/Makefile
  head/lang/clojure-mode.el/Makefile
  head/lang/csharp-mode.el/Makefile
  head/lang/gcl/Makefile
  head/lang/tuareg-mode.el/Makefile
  head/mail/c-sig/Makefile
  head/mail/mew/Makefile
  head/mail/wanderlust/Makefile
  head/mail/wanderlust-devel/Makefile
  head/mail/x-face-e21/Makefile
  head/mail/xcite/Makefile
  head/math/ess/Makefile
  head/math/proofgeneral/Makefile
  head/misc/elscreen/Makefile
  head/net/tramp/Makefile
  head/net-im/jabber.el/Makefile
  head/print/auctex/Makefile
  head/print/hyperlatex/Makefile
  head/security/easypg/Makefile
  head/security/starttls/Makefile
  head/sysutils/puppet-mode.el/Makefile
  head/textproc/dictem/Makefile
  head/textproc/dictionary/Makefile
  head/textproc/doc-mode.el/Makefile
  head/textproc/emacs-wiki/Makefile
  head/textproc/htmlize.el/Makefile
  head/textproc/ibus-el/Makefile
  head/textproc/markdown-mode.el/Makefile
  head/textproc/muse/Makefile
  head/textproc/uim-el/Makefile
  head/textproc/xml-lite.el/Makefile
  head/textproc/xml-parse.el/Makefile
  head/textproc/yaml-mode.el/Makefile
  head/www/emacs-w3m/Makefile
Comment 4 Ashish SHUKLA freebsd_committer 2015-04-27 10:34:05 UTC
Sorry for the delay involved in getting to this. The updates are committed.

HTH